package yuehaoxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/yuehaoxitong/model"
)

type volume struct {
	Table
	reception reception
	portal    string `data:"true"`
}

func (s volume) AddCount(m *ice.Message, arg ...string) {
	s.Table.AddCount(m, model.COUNT, arg[1], arg[0])
}
func (s volume) List(m *ice.Message, arg ...string) {
	if len(arg) == 0 {
		if m.Option(model.RECEPTION_UID) != "" {
			s.Fields(m, model.UID, model.BEGIN_TIME)
			s.Select(m, m.OptionSimple(model.QUEUE_UID, model.RECEPTION_UID)...)
		}
	} else {
		s.Tables(m, s.reception).FieldsWithCreatedAT(m, s,
			model.RECEPTION_NAME,
			model.AMOUNT, model.COUNT,
			model.BEGIN_TIME, model.END_TIME,
		)
		if len(arg) == 1 {
			s.Select(m, s.Key(s, model.QUEUE_UID), arg[0])
		} else if len(arg) == 2 {
			s.SelectDetail(m, s.Key(s, model.QUEUE_UID), arg[0], s.Key(s, model.UID), arg[1])
		}
		m.PushAction()
	}
}

func init() { ice.TeamCtxCmd(volume{}) }
